/*
 *	"preferences.h"
 *
 *	This file has the prototype functions for "preferences.cpp". Those functions
 *	write and read the "config" and "setting" structures to and from the flash
 *	memory on the ESP32; similar to how EEPROM works on the Arduinos.
 *
 *	The starting point for this version is the "tinySA_touch02" software developed
 *	by Dave (M0WID). That software is based on the original version by Erik Kaashoek.
 *
 *	Modified by John Price (WA2FZW):
 *
 *		Version 1.0 - Just add comments and try to figure out how it all works!
 */

#include "simpleSA.h"							// Definitions for the entire program

extern config_t		config;					// Default colors, touch screen calibration, etc.
extern settings_t	setting;				// Scan limits and other scan parameters
extern sigGenSettings_t	sigGenSetting;		// parameters for sig gen mode
extern trackGenSettings_t	trackGenSetting;		// parameters for tracking gen mode


extern void ReadConfig ();
extern void WriteConfig ();

extern void ReadSettings ();
extern void WriteSettings ();

extern void ReadSigGenSettings ();
extern void WriteSigGenSettings ();

extern void ReadTrackGenSettings ();
extern void WriteTrackGenSettings ();

extern void Save ( uint8_t loc );
extern void Recall ( uint8_t loc );
