/*
 *	"ui.h"
 *
 *	This file contains the definitions of things related to the TinySA touch screen 
 *	interface.
 */

#include <Arduino.h>						// Standard stuff
#include "simpleSA.h"							// General definitions for the program
#include "preferences.h"					// Things to save in flash memory

#ifndef _UI_H_
#define _UI_H_								// Prevent double inclusion


/*
 *	The "UI_XXXX" symbols define the various modes that the user interface might
 *	be in such as normal mode, using a touch menu, reading a keypad, etc.
 */

	enum { UI_NORMAL, UI_MENU, UI_NUMERIC, UI_KEYPAD };

	#define	MENU_STACK_DEPTH	6			// Maximum number of menu levels

/*
 *	"UiProcessTouch" is called from the "loop" function in the main program:
 */

void	UiProcessTouch ( void );
void 	ShowSplash ( void );

#endif
